Subject: Re: linux-next: Fixes tag needs some work in the rdma-fixes tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 21 Oct 2019 15:15:11 +0000

On Mon, Oct 21, 2019 at 10:50:33AM -0400, Doug Ledford wrote:
> On Mon, 2019-10-21 at 18:41 +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > In commit
> > 
> >   612e0486ad08 ("iw_cxgb4: fix ECN check on the passive accept")
> > 
> > Fixes tag
> > 
> >   Fixes: 92e7ae7172 ("iw_cxgb4: Choose appropriate hw mtu index and
> > ISS for iWARP connections")
> > 
> > has these problem(s):
> > 
> >   - SHA1 should be at least 12 digits long
> >     Can be fixed by setting core.abbrev to 12 (or more) or (for git
> > v2.11
> >     or later) just making sure it is not set (or set to "auto").
> 
> I'll leave it to Potnuri to fix his stuff.  As for the rdma tree, the 10
> digit hash is still unique as of today, so I won't rebase the official
> branch to fix this.  However, I'll see about adding a check for this in
> my workflow.  Thanks.

I thought I saw that checkpatch was checking this now?

commit a8dd86bf746256fbf68f82bc13356244c5ad8efa
Author: Matteo Croce <[email-masked]>
Date:   Wed Sep 25 16:46:38 2019 -0700

    checkpatch.pl: warn on invalid commit id

Maybe that check should also check that enough hash is provided and
other details like the correct subject line?

I also use a check that builds the fixes line from the commit id and
requires it to be the same as the patch provided. This catches all
sorts of wrong fixes lines, and sometimes git even recommends 13 chars
:\

Jason